sgallagh / rpms / rpm

Forked from rpms/rpm 4 years ago
Clone
62b4055
From 6cc599de01a9835b5128b7b2a869f9f7cf3976fb Mon Sep 17 00:00:00 2001
62b4055
From: Roland McGrath <roland@redhat.com>
62b4055
Date: Wed, 9 Sep 2009 11:07:10 -0700
62b4055
Subject: [PATCH] find-debuginfo.sh: use permissions 444 for all .debug files
62b4055
62b4055
Signed-off-by: Roland McGrath <roland@redhat.com>
62b4055
---
62b4055
 scripts/find-debuginfo.sh |    1 +
62b4055
 1 files changed, 1 insertions(+), 0 deletions(-)
62b4055
62b4055
diff --git a/scripts/find-debuginfo.sh b/scripts/find-debuginfo.sh
62b4055
index 21366bf..8d86de6 100644
62b4055
--- a/scripts/find-debuginfo.sh
62b4055
+++ b/scripts/find-debuginfo.sh
62b4055
@@ -93,6 +93,7 @@ strip_to_debug()
62b4055
   application/x-sharedlib*) g=-g ;;
62b4055
   esac
62b4055
   eu-strip --remove-comment $g -f "$1" "$2" || exit
62b4055
+  chmod 444 "$1" || exit
62b4055
 }
62b4055
 
62b4055
 # Make a relative symlink to $1 called $3$2
62b4055
-- 
62b4055
1.6.2.5
62b4055